Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.properties
Class CompositePropertiesRO

public class CompositePropertiesRO
implements IPropertiesRO

Represents list of properties are composited from the several others (source) lists. It contains all properties from the several others, but if there is properties duplicated between some of the source lists it stores first entry of such properties.

Author:
  TogetherSoft

Constructor Summary
`CompositePropertiesRO(IPropertiesRO[] levels)`
`CompositePropertiesRO(IPropertiesRO child, IPropertiesRO parent)`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Add a PropertyChangeListener to the listener list.
`String` | `getProperty(String key, String defaultValue)` Gets a property with the specified key and default.
`Enumeration` | `propertyNames()` Returns an enumeration of all the keys in this property list, including the keys in the default property list.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Remove a PropertyChangeListener from the listener list.

Constructor Detail

### CompositePropertiesRO

    public CompositePropertiesRO(IPropertiesRO[] levels)

### CompositePropertiesRO

    public CompositePropertiesRO(IPropertiesRO child, IPropertiesRO parent)

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Add a PropertyChangeListener to the listener list.
  Parameters:
    listener - The PropertyChangeListener to be added

### getProperty

    public String getProperty(String key, String defaultValue)

  Gets a property with the specified key and default. If the key is not found in this property list, tries the defaults. This method returns defaultValue if the property is not found.
  See Also:
    java.util.Properties.getProperty(java.lang.String)

### propertyNames

    public Enumeration propertyNames()

  Returns an enumeration of all the keys in this property list, including the keys in the default property list.
  Returns: an enumeration of all the keys in this property list, including the keys in the default property list.

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Remove a PropertyChangeListener from the listener list.
  Parameters:
    listener - The PropertyChangeListener to be removed

Association Links

to Class com.togethersoft.openapi.util.properties.IPropertiesRO

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD